Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.timer
Class TimerNotification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification
              javax.management.timer.TimerNotification

All Implemented Interfaces:
  java.io.Serializable

public class TimerNotification
extends Notification

This class provides definitions of the notifications sent by timer MBeans.
It defines a timer notification identifier which allows to retrieve a timer notification from the list of notifications of a timer MBean.

The timer notifications are created and handled by the timer MBean.

Version:
  1.26 02/10/04
Author:
  Sun Microsystems, Inc
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.Notification
`source`

Constructor Summary
`TimerNotification(java.lang.String type, java.lang.Object source, long sequenceNumber, long timeStamp, java.lang.String msg, java.lang.Integer id)` Creates a timer notification object.

Method Summary
`java.lang.Integer` | `getNotificationID()` Gets the identifier of this timer notification.

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimerNotification

    public TimerNotification(java.lang.String type,
                             java.lang.Object source,
                             long sequenceNumber,
                             long timeStamp,
                             java.lang.String msg,
                             java.lang.Integer id)

  Creates a timer notification object.

Parameters:
  `type` - The notification type.
  `source` - The notification producer.
  `sequenceNumber` - The notification sequence number within the source object.
  `timeStamp` - The notification emission date.
  `msg` - The notification message.
  `id` - The notification identifier.
Since:
  JMX 1.2

Method Detail

### getNotificationID

    public java.lang.Integer getNotificationID()

  Gets the identifier of this timer notification.

  Returns:
    The identifier.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.